Subject: Re: setting cygwin PATH
From: "John Morrison" <[email-masked]>
To: "Fungazid" <[email-masked]>
Cc: [email-masked]
Date: Mon, 30 Apr 2007 19:01:24 +0100 (BST)
List-Id: <cygwin.cygwin.com>

On Mon, April 30, 2007 6:53 pm, Fungazid wrote:
> --- John Morrison <[email-masked]> wrote:
>> On Mon, April 30, 2007 6:24 pm, Fungazid wrote:
>> > Hello to you the cygwin people,
>> >
>> > I'm working with cygwin.
>> > I added a directory "/home/T-COFFEE/bin/" to PATH
>> by:
>> >
>> > export PATH=/home/T-COFFEE/bin:`printenv PATH`
>>
>> $PATH is easier than the `printenv PATH` bit :)
>>
>> > I typed it in the cygwin command line. after that
>> > 'printenv PATH' showed the new directory. But the
>> new
>> > directory remained only temporarily (it
>> disappeared
>> > after closing cygwin).
>> >
>> > How do I change it permanently ? (I tried to copy
>> the
>> > .bashrc to my HOME directory, and messed up with
>> it)
>>
>> echo 'export PATH=/home/T-COFFEE/bin:$PATH' >>
>> .bashrc
>>
>> J.
> Hello John ;),
>
> I did the same thing with xemacs. The problem is that
> it is not enough if I want the path to stay
> permanently. How do cygwin knows to look at this file
> (".bashrc") in the HOME directory ?

Hi Fungazid,

(Just a netiquette point, bottom posting is expected on the cygwin lists
and responses are best kept there :) )

.bashrc is run because, for a login shell, .bash_profile tells it to be.

How are you starting cygwin?  It should be enough for it to happen
everytime...

J.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/